# Class PBMPointCloudMaterial

#### Hierarchy (View Summary)

- PBMMaterial
  - PBMPointCloudMaterial

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:113

##### Index

### Constructors

constructor

### Properties

brightness
clippers
clipping
colorBrightness
colorSaturation
colorStyle
constantColor
customShaders
distanceGain
floorIndex
floorStyle
gradientTexture
isPBMPointCloudMaterial
isShaderMaterial
modelAlpha
modelBoundingMax
modelBoundingMin
onBeforeRender?
outlineGain
pointBack
pointMaxPixel
pointMinPixel
pointScale
pointShape
pointSize
shaderType
shownFloorIndex
useHQDepth
useHQWeight
vertexMarks

### Methods

clone
copy
refreshUniforms

## Constructors

### constructor

- new PBMPointCloudMaterial(
  parameters?: PBMPointCloudMaterialParameters,
  ): PBMPointCloudMaterial

  #### Parameters

  - `Optional` parameters: PBMPointCloudMaterialParameters

  #### Returns PBMPointCloudMaterial

  Overrides PBMMaterial.constructor

  - Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:152

## Properties

### brightness

brightness: number

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:135

### clippers

clippers: readonly PBMClipperParameter[]

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:147

### clipping

clipping: boolean = true

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:146

### colorBrightness

colorBrightness: number

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:137

### colorSaturation

colorSaturation: number

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:136

### colorStyle

colorStyle: PBMColorStyle

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:129

### constantColor

constantColor: Vector3

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:130

### customShaders

customShaders: readonly PBMCustomShader[] = []

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:148

### distanceGain

distanceGain: number

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:139

### floorIndex

floorIndex: number

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:131

### floorStyle

floorStyle: PBMFloorStyle

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:133

### gradientTexture

gradientTexture: Texture | null

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:134

### `Readonly` isPBMPointCloudMaterial

isPBMPointCloudMaterial: true

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:115

### `Readonly` isShaderMaterial

isShaderMaterial: true

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:116

### modelAlpha

modelAlpha: number

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:128

### modelBoundingMax

modelBoundingMax: Vector3

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:143

### modelBoundingMin

modelBoundingMin: Vector3

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:142

### `Optional` onBeforeRender

onBeforeRender?: (
renderer: WebGLRenderer,
scene: Scene,
camera: Camera,
geometry: Geometry | BufferGeometry,
object: Object3D,
group: Group,
) => void

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:150

### outlineGain

outlineGain: number

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:138

### pointBack

pointBack: PBMPointBack

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:127

### pointMaxPixel

pointMaxPixel: number

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:124

### pointMinPixel

pointMinPixel: number

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:123

### pointScale

pointScale: number

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:122

### pointShape

pointShape: PBMPointShape

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:126

### pointSize

pointSize: PBMPointSize

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:125

### `Readonly` shaderType

shaderType: "pointcloud" = 'pointcloud'

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:118

### shownFloorIndex

shownFloorIndex: number

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:132

### useHQDepth

useHQDepth: boolean

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:141

### useHQWeight

useHQWeight: boolean

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:140

### vertexMarks

vertexMarks: boolean

- Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:121

## Methods

### clone

- clone(): this

  Return a new material with the same parameters as this material.

  #### Returns this

  Overrides PBMMaterial.clone

  - Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:680

### copy

- copy(source: PBMPointCloudMaterial): this

  Copy the parameters from the passed material into this material.

  #### Parameters

  - source: PBMPointCloudMaterial

  #### Returns this

  Overrides PBMMaterial.copy

  - Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:651

### refreshUniforms

- refreshUniforms(): void

  #### Returns void

  #### Deprecated

  已经不需要再被调用了

  - Defined in lib/five/model/materials/pbmPointCloudMaterial.ts:689